Bug 115253 - /boot/grub/grub.conf not updated for new kernel
/boot/grub/grub.conf not updated for new kernel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
: 125840 129345 129918 (view as bug list)
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2004-02-09 13:01 EST by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-02-09 13:01:32 EST
Description of problem:

When a new kernel is installed by up2date on the x86_64, the Default=
value is not updated to point to the new kernel as it does when I do
this on the ix86.  I have tried this a couple of times not and in each
case, it was not updated.
Comment 1 Elaine Normandy 2004-04-09 14:23:07 EDT
I am seeing this on my i686 (Athlon) as well.  
Comment 2 Alexandre Oliva 2004-05-08 15:15:03 EDT
This is still present in up2date-4.3.18-2, May 8th rawhide, past the
FC2 freeze.  I thought this behavior was appropriate for the test
release, but it's certainly not appropriate for FC2 final.  Can we get
up2date to change the default kernel to the newly-installed one before
the release, or are we going to have to issue an up2date update first
thing?
Comment 3 Dr. Peter Boy 2004-05-09 19:15:08 EDT
When I updated to kernel 356 and 358 [x86_64] (and - if I remember
correctly - the previous kernel, too) up2date didn't even add the
lines for the new kernels to grub.conf. The line with the default=
statement is missing completely here. When I deleted the kernel and
installed it manually by rpm -i kernel...., there was a error message
like "grubby, missing appropriate template" (Sorry, I missed to take
notice of the exact message).
Comment 4 Alexandre Oliva 2004-05-10 10:59:15 EDT
I've observed the failure to add new entries to /boot/grub/grub.conf
only when using up2date to install a new kernel while running a kernel
for which there's no entry in grub.conf (e.g., after booting FC1 and
chrooting to the FC2 tree, then running up2date there).  I don't quite
like this new behavior of grubby, of attempting to duplicate the entry
for the running kernel instead of the default kernel, but that's a
separate problem, and I haven't found it serious enough (actually, I
haven't even decided whether it's a defendable (sp?) bug) to file a
bug report.
Comment 5 Barry K. Nathan 2004-07-14 08:37:24 EDT
This may be a dupe of bug 125840 (or vice versa).
Comment 6 Alexandre Oliva 2004-07-14 14:38:18 EDT
*** Bug 125840 has been marked as a duplicate of this bug. ***
Comment 7 Barry K. Nathan 2004-10-10 05:22:36 EDT
I think addressing bug 135161 would actually be a better way of
ultimately fixing this bug.
Comment 8 Barry K. Nathan 2004-10-22 22:59:31 EDT
The bug 135161 changes have fixed this for me.
Comment 9 Need Real Name 2004-12-01 12:13:38 EST
*** Bug 129345 has been marked as a duplicate of this bug. ***
Comment 10 Todd Warner 2005-09-23 18:31:53 EDT
*** Bug 129918 has been marked as a duplicate of this bug. ***
Comment 11 John Thacker 2006-10-29 08:47:48 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.